<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <title>Ma todolist</title>
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp"
            crossorigin="anonymous" />
        <style>
            * {font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif; color: white; text-decoration: none;}
            body {  width: 100%; height: 350px; background-color: rgb(0, 0, 0); }
            h1 { text-align: center;}
            #container { 
                display: flex; 
                justify-content: space-around; align-items: flex-start;
                margin-top: 35px; padding-top: 50px;
                width: 98%; 
                height: 100%; 
                text-align: center;

                background: linear-gradient( 135deg, rgb(104, 126, 226) 55%, blue 45%);

            }

            form { border-radius: 12px; width: 30%;min-height: 285px; background-color: rgb(138, 5, 5); display: flex; flex-direction: column; }
            #newtodo { color: firebrick; margin: 25px auto; height: 50px; }
            #btn-sub {background-color: green; color: white; font-size: 1.2em; width: 85%; border-radius: 8px; margin: 25px auto; }

            #taskContainer { background-color: indigo; width: 40%;border-radius: 12px; min-height: 285px; text-align: left; display: flex; align-items: flex-start; margin-top: 30px; position: relative; bottom: 25px;}

            #task-list {display: flex; flex-direction: column; align-items: center; }
            /* .task { color: rgb(241, 241, 241); text-align: left;} */
            #link-delete {color: red; text-decoration: none}
            #btn-modif {display: flex; flex-direction: column;  position: relative; bottom: 35px; left: 100%; width: 200px; margin-top: 12px;} i { position: absolute; color: orangered;}
 {color:bl}        </style>
    </head>

<body>
    <h1>Ma todolist</h1>

    <section id="container">

        <form action="/todo/ajouter/" method="post">
            <h2>Formulaire d'ajout</h2>
            <label for="newtodo">Ajoutez une tâche :</label>
            <input type="text" name="newtodo" id="newtodo" autofocus />
            <input id="btn-sub" type="submit" />
        </form>

        <div id="taskContainer">
            <ul id="task-list">
                <% todolist.forEach(function(todo, index) { %>
                    <li class="task">
                        <a id="link-delete" href="/todo/supprimer/<%= index %>">✘</a>
                        <%= todo %>
                        <a id="btn-modif" href="/todo/modif/<%= index %>"><i class="fas fa-pen-square fa-2x"></i></a>
                    </li>
                <% }); %>
            </ul>
        </div>

    </section>

    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script>

        // Connexion à socket.io
        var socket = io.connect('http://localhost:8080');


    </script>
</body>

</html>